Bug 65810 - rpm man pages out of date (no rpmdb functionality)
Summary: rpm man pages out of date (no rpmdb functionality)
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-31 21:43 UTC by Burt Holzman
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-31 21:43:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Burt Holzman 2002-05-31 21:43:30 UTC
The RPM manpages don't mention the additional functionality enabled by the
rpmdb-redhat packages:

[burt@bar ~]$ rpm -q rpm
rpm-4.0.4-7x
[burt@bar ~]$ rpm -q rpmdb-redhat
rpmdb-redhat-7.2-0.20010924

[burt@bar ~]$ rpm --help | grep redhatprovides
  --redhatprovides                 find package name that contains a provided

[burt@bar ~]$ man rpm | grep redhatprovides
[burt@bar ~]$

Comment 1 Jeff Johnson 2002-06-05 17:15:42 UTC
I choose not to document popt aliases like
--redhatprovides in the man page, as the
alias is configurable window dressing for
a slightly more complicated option. The other
reason for not documenting is that --redhatprovides
is a pretty feeble hack, but that's a different matter.

Yes this is somewhat confusing.

Comment 2 Burt Holzman 2002-06-11 14:23:20 UTC
Jeff,

Both of these strike me as pretty poor reasons to exclude documentation.
The end user doesn't care (or even know) about popt aliases, nor do they care
that it indeed 'feeble'.

IMHO, you should either document it in the man page or remove it altogether.


Comment 3 Jeff Johnson 2002-06-11 14:31:27 UTC
OK, --redhatprovides et al is targeted for removal.



Note You need to log in before you can comment on or make changes to this bug.